# Ds\Deque::unshift

(PECL ds >= 1.0.0)

Ds\Deque::unshift — Ajoute des valeurs au début du deque

### Description

public Ds\Deque::unshift(mixed `$values` = ?): void

Ajoute les valeurs au début du deque, déplaçant toutes les valeurs actuelles vers l'avant pour faire de la place pour les nouvelles valeurs.

### Liste de paramètres

`values`

  Les valeurs à ajouter au début du deque.

  > Note:

  > Les valeurs seront ajoutées dans le même ordre qu'elles sont passées.

### Valeurs de retour

Aucune valeur n'est retournée.

### Exemples

Exemple #1 Exemple de Ds\Deque::unshift()

`<?php
$deque = new \Ds\Deque([1, 2, 3]);
$deque->unshift("a");
$deque->unshift("b", "c");
print_r($deque);
?>`

Résultat de l'exemple ci-dessus est similaire à :

    Ds\Deque Object
    (
        [0] => b
        [1] => c
        [2] => a
        [3] => 1
        [4] => 2
        [5] => 3
    )